      subroutine hec_ped_pass1
c
c pass 1 over data set for pedestal computation
c
      implicit none
c
c user datacard values common
c
      include'./inc/hec_datacard.inc'
c
c zebra and hbook common
c
      include'./inc/hec_buf.inc'
c
c event header EVTH common
c
      include'./inc/hec_evth.inc'
c
c get zebra bank from file
c
      call hec_zebra
c
c read bank RUNH 
c
c      call hec_runh_skip
      call hec_runh
      if (iquest(1) .ne. 0) then
        print *,' *** non normal completion reading RUNH'
        call hec_ter
        stop
      endif
c
c loop over events
c
      print *,' *** starting pass 1 for pedestal computation'
      i_event=0
      do while (iquest(1) .eq. 0 .and. i_event .lt. n_evtmax)
        i_event=i_event+1
        if (mod(i_event,1000) .eq. 0 .or. i_event .eq. 1) then
          print *,' *** starting event number ',i_event
        endif
c
c read bank EVTH
c
        call hec_evth
        if (iquest(1) .lt. 0) then
          print *,' *** error reading EVTH'
          call hec_ter
          stop
        elseif (iquest(1) .eq. 0) then
c
c read bank BEAM
c
          call hec_beam
          if (iquest(1) .lt. 0) then
            print *,' *** error reading BEAM'
            call hec_ter
            stop
          elseif (iquest(1) .eq. 0) then
c
c read bank GEOE
c
            call hec_geoe
            if (iquest(1) .lt. 0) then
              print *,' *** error reading GEOE'
              call hec_ter
              stop
            elseif (iquest(1) .eq. 0) then
c
c user analysis for a given event
c
              call hec_ped_evt1
c
              call mzwipe(0)
            endif
          endif
        endif
      enddo                     ! enddo over events
c
c user analysis at end of event loop
c
      call hec_ped_ana1
c
c get ready for next pass over the data
c
      call fzendi(lunzeb,'T')
      call fzinfo(lunzeb)
      rewind(lunzeb)
c
      print *,' *** pass 1 done for pedestal computation'
c
      end

 
              
            
          
