      subroutine hec_ped_read
c
c read pedestal from file
c
      implicit none
c
c common for datacard values
c
      include'./inc/hec_datacard.inc'
c
c adc channel info common
c
      include'./inc/hec_pad.inc'
c
      integer run_no_ped        !run number from ped file
      integer ic                !adc channel number
      integer i
      integer n
      real ped
      real rms
c
c reset pedestal array
c
      call vzero(adc_ped, i_adc_dim)
      call vzero(adc_rms, i_adc_dim)
c
c read run number
c
      read (lunped, *, err=2, end=2) run_no_ped
      print *, ' *** reading ped file for run number ', run_no_ped
c
c read pedestals
c
      n = 0
      do i = 1, i_adc_dim
         read (lunped, *, err=2, end=1) ic, ped, rms
         if (ic .gt. 0 .and. ic .le. i_adc_dim) then
           adc_ped(ic) = ped
           adc_rms(ic) = rms
           n = n + 1
         else
           print *, ' *** bad channel number in pedestal file', ic
         endif
      enddo
 1    continue
      print *, ' *** pedestal file read for ', n, ' adc channels'
      call hec_ped_print
      return 
c
 2    continue
      print *, ' *** error writing pedestal file to unit ', lunped
      stop
c
      end
